Delete a signing share pair
curl --request DELETE \
--url https://api.portalhq.io/api/v3/clients/me/wallets/{walletId}/signing-share-pairs/{signingSharePairId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/wallets/{walletId}/signing-share-pairs/{signingSharePairId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/wallets/{walletId}/signing-share-pairs/{signingSharePairId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Wallet Shares
Delete a signing share pair
Deletes a specific signing share pair from a wallet.
DELETE
/
clients
/
me
/
wallets
/
{walletId}
/
signing-share-pairs
/
{signingSharePairId}
Delete a signing share pair
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the wallet.
The unique identifier of the signing share pair.
Response
Signing share pair deleted successfully
Was this page helpful?
⌘I